Issue on Running ArcGIS Server 10.6 on Ubuntu Server 18.4

241
1
07-20-2018 11:38 AM
BehrouzHosseini
Occasional Contributor

I have install ArcGIS Server 10.6 on top of Ubuntu Server 18.4 ,gusting on a VM. I was able to create a new site after installation on Server Manager page but after restarting the VM I am not able to access the Server Manager and rest services any more!

I tried to check if the server is running

siteadmin@lingisserver:~$ cd arcgis/server
siteadmin@lingisserver:~/arcgis/server$ ./startserver.sh
Attempting to start ArcGIS Server...
*** Notice: There are still server processes running.  Please run
stopserver.sh to kill these processes and run startserver.sh again.

[  OK  ]
siteadmin@lingisserver:~/arcgis/server$ ‍‍‍‍‍‍‍‍

which means service is running but I am not sure which one is ArcGIS Server here (as is not as clear on Winsows with clear name of ArcGIS Server):

siteadmin@lingisserver:~$ service --status-all
 [ + ]  acpid
 [ - ]  alsa-utils
 [ - ]  anacron
 [ + ]  apparmor
 [ + ]  apport
 [ + ]  atd
 [ + ]  avahi-daemon
 [ - ]  bluetooth
 [ - ]  console-setup.sh
 [ + ]  cron
 [ - ]  cryptdisks
 [ - ]  cryptdisks-early
 [ + ]  cups
 [ + ]  cups-browsed
 [ + ]  dbus
 [ - ]  dns-clean
 [ + ]  ebtables
 [ + ]  gdm3
 [ + ]  grub-common
 [ - ]  hwclock.sh
 [ - ]  irqbalance
 [ + ]  iscsid
 [ + ]  kerneloops
 [ - ]  keyboard-setup.sh
 [ + ]  kmod
 [ - ]  lvm2
 [ + ]  lvm2-lvmetad
 [ + ]  lvm2-lvmpolld
 [ + ]  lxcfs
 [ - ]  lxd
 [ - ]  mdadm
 [ - ]  mdadm-waitidle
 [ + ]  network-manager
 [ + ]  networking
 [ - ]  open-iscsi
 [ + ]  open-vm-tools
 [ - ]  plymouth
 [ - ]  plymouth-log
 [ - ]  pppd-dns
 [ + ]  procps
 [ - ]  rsync
 [ + ]  rsyslog
 [ - ]  saned
 [ - ]  screen-cleanup
 [ + ]  speech-dispatcher
 [ - ]  spice-vdagent
 [ + ]  ssh
 [ - ]  tomcat8
 [ + ]  udev
 [ + ]  ufw
 [ + ]  unattended-upgrades
 [ - ]  uuidd
 [ + ]  whoopsie
 [ - ]  x11-common
siteadmin@lingisserver:~$ ‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍‍

eventually when I navigate to the ArcGIS server URL I am getting this error meesage

enter image description here

0 Kudos
1 Reply
JonathanQuinn
Esri Frequent Contributor

The latest release of Ubuntu that's supported for ArcGIS Server is 16.04.3:

ArcGIS Server 10.6.x system requirements—ArcGIS Enterprise system requirements | ArcGIS Enterprise 

That's likely the problem.

0 Kudos